
QGIS Application - Feature request #3361

Enhancement: raster edge detection and snapping for digitisation and georeferencing

2010-12-20 09:38 PM - Alister Hood

Status: Open

Priority: Low

Assignee: nobody -

Category: Digitising

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13421

Description

(Someone asked about this on the user list a week or so ago.  I thought there was already a ticket, but if so, I can't find it)

It would be useful to implement raster edge detection to allow for snapping to raster layers, both when digitizing and when

georeferencing.

The [[AutoGCP]] plugin must be using edge detection, so maybe some of the work is already done.  Or maybe some code could be

borrowed code from another program such as Hugin. (Hugin is a panorama maker that allows snapping when manually creating control

points.  But Hugin uses wxWidgets.)

History

#1 - 2010-12-21 02:22 PM - Alister Hood

(Someone asked about this on the user list a week or so ago. I thought there was already a ticket, but if so, I can't find it)

No.  Reading the message again I think I misunderstood.

They actually wanted to be able to make the corners of a the raster image snap to a vector grid 

http://lists.osgeo.org/pipermail/qgis-user/2010-December/010634.html

#2 - 2012-10-06 02:31 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2017-05-01 12:42 AM - Giovanni Manghi

- Easy fix? set to No

- Pull Request or Patch supplied set to No
http://hugin.sourceforge.net/
http://lists.osgeo.org/pipermail/qgis-user/2010-December/010634.html

